javafx.beans

## Annotation Type DefaultProperty

-     @Inherited
       @Documented
       @Retention(value=RUNTIME)
       @Target(value=TYPE)
      public @interface DefaultProperty

  Specifies a property to which child elements will be added or set when an explicit property is not given.
  Since:
    JavaFX 2.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value` The name of the default property.

- - ### Element Detail

    - #### value

          public abstract String value

      The name of the default property.

Copyright (c) 2008, 2015, Oracle and/or its affiliates. All rights reserved.